Summary:        SASL Authentication framework for Perl
Name:           perl-Authen-SASL
Version:        2.16
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Authen-SASL
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/Authen-SASL-%{version}.tar.gz
Patch3000:      Authen-SASL-RT85294-Fix-WRITE.patch

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(inc::Module::Install) perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata) perl(Module::Install::WriteAll)
BuildRequires:  perl(strict) perl(warnings) perl(bytes) perl(Carp)
BuildRequires:  perl(Digest::HMAC_MD5) perl(Digest::MD5) perl(GSSAPI) perl(Tie::Handle)
BuildRequires:  perl(vars) perl(FindBin) perl(Test::More)
Requires:       perl(Tie::Handle)

BuildArch:      noarch

%description
This package provides a generic mechanism for authentication used by
several network protocols. Authen::SASL provides an implementation framework
that all protocols should be able to share.

%prep
%autosetup -n Authen-SASL-%{version} -p1

rm -rf inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST
chmod -c a-x example_pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}

%check
%make_build test

%files
%doc api.txt Changes example_pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.16-4
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 11 2022 Shuo Wang <abushwang@tencent.com> - 2.16-1
- initial build

